> For the complete documentation index, see [llms.txt](https://docs.hyper-space.io/hyperspace-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/add_document.md).

# add\_document

The function `add_document(document, collection_name)` uploads a single document to a collection.

**Input**&#x20;

* <mark style="color:purple;">document (dictionary)</mark> – Represents the document to upload. The structure of each document must conform to the database schema configuration file. It must be of type **dictionary**.
* <mark style="color:purple;">collection\_name (str)</mark> – Specifies the name of the Collection into which to load the document.

**Example**

{% tabs %}
{% tab title="Python" %}

<pre class="language-python" data-line-numbers><code class="lang-python">new_document= {"id": "131",
               "name": "dave",
                "age": 43}
<strong>hyperspace_client.add_document(document, collection_name)
</strong></code></pre>

{% endtab %}

{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
Document doc = new Document();
doc.setId("131");
doc.putAdditionalProperty("name", "dave");
doc.putAdditionalProperty("age", 43);
                        
hyperspaceClient.addDocument(new_document, collection_name);
```

{% endcode %}
{% endtab %}

{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```python
const new_document= {"id": "131",
                       "name": "dave",
                        "age": 43};
await hyperspaceClient.index({
    id: "0",
    index: collectionName,
    body: {
        name: "Bob",
        department: "IT"
    }
});
```

{% endcode %}
{% endtab %}
{% endtabs %}

**Response**

The following response should be received –

{'status': 'OK', 'code': 200, 'message': 'Document was successfully added'}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hyper-space.io/hyperspace-docs/api-documentation/hyperspace-client/add_document.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
